Copyright: Copyright © 1996 Jon Grieve


About CPU Monitor

 CPU Monitor

Copyright © 1996 Jon Grieve

CPU Monitor adds an icon to the Windows 95 System Tray, which shows the current utilisation of the systems processor.

The utilisation is shown from 0 to 100, in increments of 10.

Settings

Revision History


CPU Monitor Options

Settings

To change the settings, select the Settings item in the CPU Monitor menu, or double-click the icon in the System Tray.

An example of the icon is shown in the Settings window.  The icon is updated as often as the Frequency setting, and is shown using the selected set of icons.

Frequency

Determines how often CPU Monitor checks the usage and updates the icon.  The possible values are 50, 100 or 500 milliseconds or 1 second.

Icon

Changes the icon that is shown in the system tray.  The possible icons are:

	Default
	The background colour of the icon is the same as the tray colour (i.e. the icon is transparent)
	Green
	The background colour is green (like the NT4 Task Manager)
	Rainbow
	The background goes from green to yellow to red as the usage increases.
	Resource Meter
	The icon resembles the Windows 95 resource meter.


The Windows 95 System Tray is the area of the Task Bar where Windows displays the clock, volume control, etc.  CPU Monitor adds an icon to the system tray, as shown below


Revision History

v1.2

Fixed context menu problem on some systems  (Many thanks to Mark Spoto and Frank Gracie for their help in tracking this down).

Settings moved from CPU Monitor's menu to a dialog.

Changed About... to use non-MS dialog.

v1.1

Added Resource Meter icons

v1.0

Initial relese